<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: Vendor list XML parsing</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>Vendor list XML parsing</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga0">discover_xml_merge_vendor_url</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> **vlist, char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga1">discover_xml_get_vendors</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga2">discover_xml_free_vendors</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga3">discover_xml_vendor_id2name</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors, char *id)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga4">discover_xml_vendor_get_id</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga5">discover_xml_vendor_get_name</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga6">discover_xml_vendor_get_next</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga7">discover_xml_vendor_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga8">discover_xml_vendor_free</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors)</td></tr>

</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="ga2" doxytag="vendor-xml.c::discover_xml_free_vendors"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_free_vendors           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free the list of vendors. 
<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00248">248</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00157">BUS_COUNT</a>, and <a class="el" href="vendor-xml_8c-source.html#l00342">discover_xml_vendor_free()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga1" doxytag="vendor-xml.c::discover_xml_get_vendors"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a>* discover_xml_get_vendors           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga16">discover_bus_t</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>bus</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the list of vendors by bus type.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>bus</em>&nbsp;</td><td>Type of bus for which vendors are required </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00215">215</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>, <a class="el" href="vendor-xml_8c-source.html#l00173">discover_xml_merge_vendor_url()</a>, <a class="el" href="url-xml_8c-source.html#l00420">discover_xml_url_get_next()</a>, and <a class="el" href="url-xml_8c-source.html#l00376">discover_xml_url_get_url()</a>.
<p>
Referenced by <a class="el" href="device-xml_8c-source.html#l00484">discover_xml_get_devices()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga0" doxytag="vendor-xml.c::discover_xml_merge_vendor_url"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_merge_vendor_url           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> **&nbsp;</td>
          <td class="mdname" nowrap> <em>vlist</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>char *&nbsp;</td>
          <td class="mdname" nowrap> <em>url</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Merge new vendors into a list.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vlist</em>&nbsp;</td><td>Address of the list to merge vendors into </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>url</em>&nbsp;</td><td>URL of the document defining the vendors </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00173">173</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="group__types.html#gga15a16">DISCOVER_EIO</a>, and <a class="el" href="group__types.html#gga15a17">DISCOVER_EXML</a>.
<p>
Referenced by <a class="el" href="vendor-xml_8c-source.html#l00215">discover_xml_get_vendors()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga8" doxytag="vendor-xml.c::discover_xml_vendor_free"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_vendor_free           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>vendors</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free the vendor or list of vendors.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vendors</em>&nbsp;</td><td>Vendor or list of vendors to free </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00342">342</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.
<p>
Referenced by <a class="el" href="vendor-xml_8c-source.html#l00248">discover_xml_free_vendors()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga4" doxytag="vendor-xml.c::discover_xml_vendor_get_id"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_vendor_get_id           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>vendor</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the id member of vendor. 
<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00290">290</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga5" doxytag="vendor-xml.c::discover_xml_vendor_get_name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_vendor_get_name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>vendor</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the name member of vendor. 
<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00301">301</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga6" doxytag="vendor-xml.c::discover_xml_vendor_get_next"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a>* discover_xml_vendor_get_next           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>vendor</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the next member of vendor. 
<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00312">312</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga3" doxytag="vendor-xml.c::discover_xml_vendor_id2name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_vendor_id2name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>vendors</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>char *&nbsp;</td>
          <td class="mdname" nowrap> <em>id</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Convert a vendor ID to a human-readable string naming the vendor.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vendors</em>&nbsp;</td><td>List of vendors to search </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>id</em>&nbsp;</td><td>Vendor ID to search for </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00264">264</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga7" doxytag="vendor-xml.c::discover_xml_vendor_new"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a>* discover_xml_vendor_new           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Create and initialize a new discover_xml_vendor_t structure. 
<p>
Definition at line <a class="el" href="vendor-xml_8c-source.html#l00323">323</a> of file <a class="el" href="vendor-xml_8c-source.html">vendor-xml.c</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
